curl --request GET \
--url https://int-data.moneydesktop.com/notifications/{notification_guid}/deliverables \
--header 'MD-SESSION-TOKEN: <api-key>'import requests
url = "https://int-data.moneydesktop.com/notifications/{notification_guid}/deliverables"
headers = {"MD-SESSION-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'MD-SESSION-TOKEN': '<api-key>'}};
fetch('https://int-data.moneydesktop.com/notifications/{notification_guid}/deliverables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deliverable_notifications": [
{
"guid": "DNF-7aa13bdb-2866-ba38-b326-d9fb32268f9b",
"channel": 1,
"channel_name": "EMAIL",
"content": "<html>...</html>",
"has_been_delivered": false,
"delivered_at": null,
"delivered_on": null
}
]
}List deliverables
Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
The unique identifier for notifications. Defined by MX.
Response
OK
Hide child attributes
Hide child attributes
Unique identifier for the notification. Defined by MX.
"DNF-7aa13bdb-2866-ba38-b326-d9fb32268f9b"
The way the notification will be delivered to the user.
1
The channel name through which the notification will be delivered.
"EMAIL"
The full content to be delivered in the given channel. For email, should be the fully rendered HTML body.
"<html>...</html>"
If the deliverable has been delivered to the user, this field will be true. Otherwise, this field will be false.
false
Date and time the deliverable was delivered, represented in ISO 8601 format with timestamp .
null
Date and time the deliverable was delivered, represented in ISO 8601 format with timestamp (e.g. 2015-04-13T12:01:23-00:00).
null

